Subject: Re: bug#6965: 23.2; tags search/replace order no longer sensitive to starting file

From: Stefan Kangas <[email-masked]>
Date: Tue, 4 Aug 2020 08:53:18 -0700

Stefan Kangas <[email-masked]> writes:

>> The order in which tags tables files are searched is broken (relative
>> to previous versions of Emacs and the current documentation):
>>
>> It no longer is sensitive to the starting file, as specified in the
>> info documentation (32.2.6):
>>
>>   These commands scan the list of tags tables starting with the first
>>   tags table (if any) that describes the current file, proceed from there
>>   to the end of the list, and then scan from the beginning of the list
>>   until they have covered all the tables in the list."
>>
>> That is, if you have a tags file for dir1/... and a tags file for
>> dir2/... and load both using visit-tags-table and choose to add to the
>> current list (rather than replacing), then starting a tags-search from
>> a file dir2/f should start searching per the tags table file for
>> dir2/..., and starting from a file dir1/f should start searching per the
>> tags file for dir1/....
>>
>> However, Emacs 23.2 seems to always start with the same tags table file,
>> regardless of which file is the current file.
>
> (This old bug unfortunately never got a reply at the time.)
>
> Are you still seeing this on a modern version of Emacs?  We have a
> message to the bug from 2016 saying that one user was unable to
> reproduce this on Emacs 26.1.

More information was requested, but none was given within 13 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas